Summary:	The GNU Bourne Again shell (bash)
Name:		bash1
Version:	1.14.7
Release:	24mdk
Group:		Shells
BuildRequires: libtermcap-devel
Copyright:	GPL

Source0:	ftp://ftp.gnu.org/pub/gnu/bash-1.14.7.tar.bz2
Source1:	bashrc
Patch0:		ftp://ftp.azstarnet.com/pub/linux/axp/misc/bash-1.14.5.patch.bz2
Patch1:		bash-1.14.6.sparc.patch.bz2
Patch2:		ftp://ftp.azstarnet.com/pub/linux/axp/misc/bash-1.14.6-rh3.0.3-glibc.patch.bz2
Patch3:		bash-1.14.7-paths.patch.bz2
Patch4:		bash-1.14.7-security.patch.bz2
Patch5:		bash-1.14.7-mips.patch.bz2
Patch6:		bash-1.14.7-signal.patch.bz2
Patch7:		bash-1.14.7-winsz.patch.bz2
Patch8:		bash-1.14.7-race.patch.bz2
Patch9:		bash-1.14.7-secfix.patch.bz2
Patch10:	bash-1.14.7-hist.patch.bz2
Patch20:	bash-alpha-fixnonsense.patch.bz2

Requires:	mktemp
Buildroot:	%{_tmppath}/bash-root
ExcludeArch:	ppc

%description
Bash is a GNU project sh-compatible shell or command language interpreter. Bash
(Bourne Again shell) incorporates useful features from the Korn shell (ksh) and
the C shell (csh). Most sh scripts can be run by bash without modification.

Bash offers several improvements over sh, including command line editing,
unlimited size command history, job control, shell functions and aliases,
indexed arrays of unlimited size and integer arithmetic in any base from two
to 64. Bash is ultimately intended to conform to the IEEE POSIX P1003.2/ISO
9945.2 Shell and Tools standard.

%prep

%setup -q -n bash-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1 -b .secfix
%patch10 -p1 -b .hist
%patch20 -p1 -b .alpha

%build
make CFLAGS="$RPM_OPT_FLAGS" prefix=/usr CC=gcc CPPNAME='$(CC) -E'

%install
%makeinstall mandir=$RPM_BUILD_ROOT%{_mandir}/man1 man3dir=$RPM_BUILD_ROOT%{_mandir}/man3
mkdir -p $RPM_BUILD_ROOT/bin $RPM_BUILD_ROOT/etc
mv $RPM_BUILD_ROOT%{_bindir}/bash $RPM_BUILD_ROOT/bin/bash
rm -f $RPM_BUILD_ROOT%{_bindir}/installed-bash
mv $RPM_BUILD_ROOT%{_infodir}/bash.info $RPM_BUILD_ROOT%{_infodir}/bash1.info
rm -f $RPM_BUILD_ROOT%{_bindir}/bash.old
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/bash.1 $RPM_BUILD_ROOT%{_mandir}/man1/bash1.1
mv -f $RPM_BUILD_ROOT%{_bindir}/bashbug $RPM_BUILD_ROOT%{_bindir}/bash1bug
mv -f $RPM_BUILD_ROOT/bin/bash $RPM_BUILD_ROOT%{_bindir}/bash1

%clean
rm -rf $RPM_BUILD_ROOT

# ***** bash doesn't use install-info. It's always listed in %{_infodir}/dir
# to prevent prereq loops

%post

HASBASH=""
HASSH=""

if [ ! -f /etc/shells ]; then
	> /etc/shells
fi

(while read line ; do
	if [ $line = /bin/bash1 ]; then
		HASBASH=1
	fi
 done

 if [ -z "$HASBASH" ]; then
	echo "/bin/bash1" >> /etc/shells
fi) < /etc/shells

%files
%defattr(-,root,root)
%doc NEWS README RELEASE
#%config /etc/bashrc
%{_bindir}/bash1
%{_infodir}/bash1.info*
%{_mandir}/man1/bash1.1*
%{_bindir}/bash1bug

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.14.7-24mdk
- automatically added BuildRequires


* Thu Jul 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.14.7-23mdk
- BM

* Sun Jun 03 2000 David BAUDENS <baudens@mandrakesoft.com> 1.14.7-22mdk
- ExcludeArch ppc
- Use %%{_tmppath} for BuildRoot
- Remove wrong parts of Desscription
- Remove german Summary & Description

* Wed Mar 22 2000 dam's <damien@mandrakesoft.com> 1.14.7-21mdk
- Mandrake release

* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- alpha fix

* Mon Dec 20 1999 Frederic Lepied <flepied@mandrakesoft.com> 1.14.7-19mdk
- remove /etc/bashrc

* Fri Nov 12 1999 dam's <damien@mandrakesoft.com>
- Mandrake release

* Tue Jun 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Removing the which alias from bashrc (we have a binary who make the job).

* Tue Apr 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Move /bin/bash1 to %{_bindir}/bash1

* Sat Apr 16 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Rename to bash1, rename files to /bin/bash1, etc.
  We want bash 2.x to be the default shell...

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- handle RPM_OPT_FLAGS
- add de locale
- add some aliases (ls=ls --color, md, rd, cd..) to bashrc
- fix download URLs

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binary again

* Wed Oct 07 1998 Michael K. Johnson <johnsonm@redhat.com>
- history privacy fix (.hist)

* Sun Sep 06 1998 Cristian Gafton <gafton@redhat.com>
- security patch fix

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to enable TIOCWINSZ support in the readline lib
- patch for temp race on bashbug

* Fri Aug 07 1998 Erik Troan <ewt@redhat.com>
- rewrote %pre to not use grep anymore
- added %defattr line so package can be built as a user

* Thu Aug 06 1998 Erik Troan <ewt@redhat.com>
- removed %post; if they remove bash, they have bigger problems then extra
  /etc/shells entries! This makes the perreq loops easier to deal with

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Nov 07 1997 Donnie Barnes <djb@redhat.com>
- added signal handling patch from Dean Gaudet <dgaudet@arctic.org> that
  is based on a change made in bash 2.0.  Should fix some early exit
  problems with suspends and fg.

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- added %clean

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- added comment explaining why install-info isn't used
- added mips patch 

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc

